Page 4 of 4

Re: Baselayout conflicting packages [Solved]

Posted: Thu Aug 30, 2007 5:40
by DontPanic
Brian_X7 wrote:I'm getting the timezone error, how do I correct that?

Thanks,
Brian
I believe this is due to the settings in /etc/conf.d/clock

For me, the appropriate changes are:
CLOCK="UTC"
---- to -----
CLOCK='local'

and

# TIMEZONE="Factory"
----- to (remember to remove the commenting symbol) -----
TIMEZONE="CST6CDT"

As per the directions in the file comments, TIMEZONE is basically the name of the file in /usr/share/zoneinfo (with the subdirectory name in front, if applicable) that you have set up as your /etc/localtime file.

Re: Baselayout conflicting packages [Solved]

Posted: Thu Aug 30, 2007 18:42
by Brian_X7
DontPanic wrote:[

I believe this is due to the settings in /etc/conf.d/clock

For me, the appropriate changes are:
CLOCK="UTC"
---- to -----
CLOCK='local'

and

# TIMEZONE="Factory"
----- to (remember to remove the commenting symbol) -----
TIMEZONE="CST6CDT"

As per the directions in the file comments, TIMEZONE is basically the name of the file in /usr/share/zoneinfo (with the subdirectory name in front, if applicable) that you have set up as your /etc/localtime file.
Thanks that did the trick. Are you also getting errors with sytem-tools-backends not starting?

Re: Baselayout conflicting packages [Solved]

Posted: Thu Aug 30, 2007 19:16
by DontPanic
It sounds familiar, but I've found myself growing accustomed to the odd error/warning every here and there ever though I shouldn't.

I do see that 'rc-update show' displays the following:

Code: Select all

# rc-update show
 * Broken runlevel entry: /etc/runlevels/default/system-tools-backends
 ....
So, I assume I am getting that error.

I know I could remove the error using 'rc-update del', but I'll probably leave it there until I get around to confirming whether it's something I need to fix or delete.

Re: Baselayout conflicting packages [Solved]

Posted: Wed Sep 19, 2007 3:11
by pajamabama
I just want to add that wolfden posted here that this solution for unmasking baselayout is only valid for 32bit versions. On 64bit, apparently the best bet is to just unmerge makedev, and leave baselayout alone.

But, for the 95th time now, I've pooped all over my config files so I might have to start from scratch again before I can test this.

EDIT: So going back to baselayout-1.12.10-r4 and replacing any updated /etc/init.d files un-pooped my system. Still haven't done world update yet though.

Re: Baselayout conflicting packages [Solved]

Posted: Wed Sep 19, 2007 12:58
by wolfden
pajamabama wrote:I just want to add that wolfden posted here that this solution for unmasking baselayout is only valid for 32bit versions. On 64bit, apparently the best bet is to just unmerge makedev, and leave baselayout alone.
No I can not confirm this, that was just my experience.

Re: Baselayout conflicting packages [Solved]

Posted: Wed Sep 19, 2007 17:36
by Wintershade
If someone is still interested in this issue, please take a look at this thread, and see my solution. Also, I started a separate thread since the main problem wasn't actually the same as the one here, and also I've got problems with wireless networking now, so I'd be grateful if someone can help me out.